#
# spec file for package gimp (Version 2.2.2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to feedback@usr-local-bin.org
#

Name:         gimp
URL:          http://www.gimp.org/
%define _name gimp
%define releasever	2.0
%define microver	1
%define sysconfdir	/etc
%define PRINTVERSION	4.2.5
%define prefix /opt/gnome
Version:      2.2.6
Release:      1
License:      GPL
Group:        Productivity/Graphics/Bitmap Editors
Obsoletes:    libgimp
Obsoletes:    gimp2
Obsoletes:    gimp2-svg
Obsoletes:    gimp-beta
Requires:     gtk2 >= 2.4.2
Autoreqprov:  on
Summary:      The GNU Image Manipulation Program
Source:       gimp-%{version}.tar.bz2
Source2:      pygimp-logo.png
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Patch:        gimp21-desktop-file.dif

%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

The GIMP includes a scripting facility, but many of the included
scripts rely on fonts that we cannot distribute.  The GIMP FTP site has
a package of fonts that you can install by yourself, which includes all
the fonts needed to run the included scripts.  Some of the fonts have
unusual licensing requirements; all the licenses are documented in the
package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are
so inclined.  Alternatively, choose fonts which exist on your system
before running the scripts.

Install the GIMP if you need a powerful image manipulation program.



Authors:
--------
    Spencer Kimball
    Peter Mattis
    Lauri Alanko
    Shawn Amundson
    Sven Anders
    Karl-Johan Andersson
    John Beale
    Zach Beane
    Tom Bech
    Marc Bless
    Edward Blevins
    Reagan Blundell
    Xavier Bouchoux
    Roberto Boyd
    Stanislav Brabec
    Robert Brady
    Hans Breuer
    Simon Budig
    Carey Bunks
    Seth Burgess
    Brent Burton
    Francisco Bustamante
    Albert Cahalan
    Sean Cier
    Winston Chang
    Kenneth Christiansen
    Zbigniew Chyla
    Ed Connel
    Piers Cornwell
    Daniel Cotting
    Jay Cox
    Brian Degenhardt
    Gert Dewit
    Andreas Dilger
    Austin Donnelly
    Scott Draves
    Daniel Dunbar
    Misha Dynin
    Daniel Egger
    Morton Eriksen
    Larry Ewing
    Nick Fetchak
    Valek Filippov
    David Forsyth
    Raphael Francois
    Jochen Friedrich
    Sami Gerdt
    Jim Geuther
    Graeme Gill
    Scott Goehring
    Heiko Goller
    Marcelo de Gomensoro Malheiros
    Pavel Grinfeld
    Michael Hammel
    Henrik Hansen
    Ville Hautamaki
    James Henstridge
    Eric Hernes
    David Hodson
    Christoph Hoegl
    Wolfgang Hofer
    Jan Hubicka
    Andreas Hyden
    Ben Jackson
    Krzysztof Jakubowski
    Simon Janes
    Tim Janik
    Fellmann Joaquim
    Andrew Kieschnick
    Peter Kirchgessner
    Philipp Klaus
    David Koblas
    Robert L Krawitz
    Tuomas Kuosmanen
    Karin Kylander
    Olof S Kylander
    Karl La Rocca
    Chris Lahey
    Nick Lamb
    Marco Lamberto
    Jens Lautenbacher
    Laramie Leavitt
    Elliot Lee
    Marc Lehmann
    Ray Lehtiniemi
    Raph Levien
    Wing Tung Leung
    Adrian Likins
    Tor Lillqvist
    Ingo Luetkebohle
    Josh MacDonald
    Ed Mackey
    Vidar Madsen
    Ian Main
    Kjartan Maraas
    Kelly Martin
    Torsten Martinsen
    Gordon Matzigkeit
    Gregory McLean
    Daniele Medri
    Federico Mena Quintero
    James Mitchell
    Hirotsuna Mizuno
    David Monniaux
    Adam D Moss
    Balazs Nagy
    Yukihiro Nakai
    Sung-Hyun Nam
    Shuji Narazaki
    Felix Natter
    Michael Natterer
    David Neary
    Sven Neumann
    Stephen Robert Norris
    Tim Newsome
    Erik Nygren
    Miles O'Neal
    David Neary
    David Necas
    David Odin
    Thom van Os
    Garry R. Osgood
    Alan Paeth
    Jay Painter
    Sergey Panov
    Ville Patsi
    Asbjorn Pettersen
    Mike Phillips
    Artur Polaczynski
    Raphael Quinet
    Tom Rathborne
    Vincent Renardias
    Jens Restemeier
    Maurits Rijk
    Daniel Risacher
    James Robinson
    Guillermo S. Romero
    Tim Rowley
    Pablo Saratxaga
    Mike Schaeffer
    John Schlag
    Norbert Schmitz
    Thorsten Schnier
    Alexander Schulz
    Tracy Scott
    Craig Setera
    Aaron Sherman
    Manish Singh
    Daniel Skarda
    Adam Spiers
    Jakub Steiner
    Nathan Summers
    Mike Sweet
    Yuri Syrota
    Eiichi Takamori
    Tristan Tarrant
    Michael Taylor
    Owen Taylor
    Ian Tester
    Andy Thomas
    Kevin Turner
    Rebecca Walter
    Martin Weber
    James Wang
    Kris Wehner
    Nigel Wetten
    Calvin Williamson
    Matthew Wilson
    Shirasaki Yasuhiro

%package devel 
Summary:      GIMP Plugin and Extension Development Kit
Obsoletes:    gimpdev
Obsoletes:    libgimpd
Obsoletes:    gimp-beta-devel
Group:        Development/Libraries/GNOME
Autoreqprov:  on

%description devel 
Install gimp-devel if you're going to create plug-ins and/or extensions
for the GIMP.



Authors:
--------
    Spencer Kimball
    Peter Mattis
    Lauri Alanko
    Shawn Amundson
    Sven Anders
    Karl-Johan Andersson
    John Beale
    Zach Beane
    Tom Bech
    Marc Bless
    Edward Blevins
    Reagan Blundell
    Xavier Bouchoux
    Roberto Boyd
    Stanislav Brabec
    Robert Brady
    Hans Breuer
    Simon Budig
    Carey Bunks
    Seth Burgess
    Brent Burton
    Francisco Bustamante
    Albert Cahalan
    Sean Cier
    Winston Chang
    Kenneth Christiansen
    Zbigniew Chyla
    Ed Connel
    Piers Cornwell
    Daniel Cotting
    Jay Cox
    Brian Degenhardt
    Gert Dewit
    Andreas Dilger
    Austin Donnelly
    Scott Draves
    Daniel Dunbar
    Misha Dynin
    Daniel Egger
    Morton Eriksen
    Larry Ewing
    Nick Fetchak
    Valek Filippov
    David Forsyth
    Raphael Francois
    Jochen Friedrich
    Sami Gerdt
    Jim Geuther
    Graeme Gill
    Scott Goehring
    Heiko Goller
    Marcelo de Gomensoro Malheiros
    Pavel Grinfeld
    Michael Hammel
    Henrik Hansen
    Ville Hautamaki
    James Henstridge
    Eric Hernes
    David Hodson
    Christoph Hoegl
    Wolfgang Hofer
    Jan Hubicka
    Andreas Hyden
    Ben Jackson
    Krzysztof Jakubowski
    Simon Janes
    Tim Janik
    Fellmann Joaquim
    Andrew Kieschnick
    Peter Kirchgessner
    Philipp Klaus
    David Koblas
    Robert L Krawitz
    Tuomas Kuosmanen
    Karin Kylander
    Olof S Kylander
    Karl La Rocca
    Chris Lahey
    Nick Lamb
    Marco Lamberto
    Jens Lautenbacher
    Laramie Leavitt
    Elliot Lee
    Marc Lehmann
    Ray Lehtiniemi
    Raph Levien
    Wing Tung Leung
    Adrian Likins
    Tor Lillqvist
    Ingo Luetkebohle
    Josh MacDonald
    Ed Mackey
    Vidar Madsen
    Ian Main
    Kjartan Maraas
    Kelly Martin
    Torsten Martinsen
    Gordon Matzigkeit
    Gregory McLean
    Daniele Medri
    Federico Mena Quintero
    James Mitchell
    Hirotsuna Mizuno
    David Monniaux
    Adam D Moss
    Balazs Nagy
    Yukihiro Nakai
    Sung-Hyun Nam
    Shuji Narazaki
    Felix Natter
    Michael Natterer
    David Neary
    Sven Neumann
    Stephen Robert Norris
    Tim Newsome
    Erik Nygren
    Miles O'Neal
    David Neary
    David Necas
    David Odin
    Thom van Os
    Garry R. Osgood
    Alan Paeth
    Jay Painter
    Sergey Panov
    Ville Patsi
    Asbjorn Pettersen
    Mike Phillips
    Artur Polaczynski
    Raphael Quinet
    Tom Rathborne
    Vincent Renardias
    Jens Restemeier
    Maurits Rijk
    Daniel Risacher
    James Robinson
    Guillermo S. Romero
    Tim Rowley
    Pablo Saratxaga
    Mike Schaeffer
    John Schlag
    Norbert Schmitz
    Thorsten Schnier
    Alexander Schulz
    Tracy Scott
    Craig Setera
    Aaron Sherman
    Manish Singh
    Daniel Skarda
    Adam Spiers
    Jakub Steiner
    Nathan Summers
    Mike Sweet
    Yuri Syrota
    Eiichi Takamori
    Tristan Tarrant
    Michael Taylor
    Owen Taylor
    Ian Tester
    Andy Thomas
    Kevin Turner
    Rebecca Walter
    Martin Weber
    James Wang
    Kris Wehner
    Nigel Wetten
    Calvin Williamson
    Matthew Wilson
    Shirasaki Yasuhiro

%prep
%setup -q -n gimp-%{version}

%build
%{?suse_update_config:%{suse_update_config -f}}
# libtoolize --force
# aclocal
# autoconf
# cp %SOURCE2 ./plug-ins/pygimp
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--mandir=%{_mandir} \
	--sysconfdir=%{sysconfdir} \
	--with-mp=yes \
	--enable-print=yes \
	--enable-python=yes
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/root
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/applications
cd $RPM_BUILD_ROOT/%{prefix}/share/applications
ln -s ../gimp/%{releasever}/misc/gimp.desktop .
#cd $RPM_BUILD_ROOT/usr/share/man/man1
#rm gimp-remote.1 gimp.1 #gimptool.1
#cd $RPM_BUILD_ROOT/usr/share/man/man5
#rm gimprc.5

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README*
%dir %{sysconfdir}/gimp
%{sysconfdir}/gimp/%{releasever}
%{prefix}/bin/*
%{prefix}/%_lib/*.so.*
%dir %{prefix}/%_lib/gimp
%dir %{prefix}/%_lib/gimp/%{releasever}
%dir %{prefix}/%_lib/gimp/%{releasever}/modules
%{prefix}/%_lib/gimp/%{releasever}/environ
%dir %{prefix}/%_lib/gimp/%{releasever}/plug-ins
%{prefix}/%_lib/gimp/%{releasever}/plug-ins/*
%{prefix}/%_lib/gimp/%{releasever}/python
%{prefix}/%_lib/gimp/%{releasever}/modules/*.so
%{prefix}/share/applications/*
%dir %{prefix}/share/gimp
%{prefix}/share/gimp/%{releasever}
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
/usr/share/man/man*/*.*

%files devel 
%defattr(-,root,root)
%{prefix}/include/*
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
%{prefix}/%_lib/gimp/%{releasever}/modules/*.*a
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/aclocal/*.m4
%{prefix}/share/gtk-doc/html/*

%changelog -n %{name}
* Sat Apr 30 2005 - joe_morris@ntm.org
- updated to 2.2.6
* Tue Jan 11 2005 - james@usr-local-bin.org
- 2.2.2
* Wed Dec 29 2004 - james@usr-local-bin.org
- 2.2.1
* Sun Dec 19 2004 - james@usr-local-bin.org
- 2.2.0!
* Sun Nov 21 2004 - james@usr-local-bin.org
- 2.2 Pre2 (versioned 2.1.99.2)
* Tue Nov 02 2004 - james@usr-local-bin.org
- 2.2 Pre1 (versioned 2.1.99.1 for RPM purposes)
- change package name to gimp and obsolete gimp-beta
* Mon Oct 11 2004 - james@usr-local-bin.org
- 2.1.6
* Fri Sep 24 2004 - james@usr-local-bin.org
- 2.1.5
* Wed Jul 14 2004 - james@usr-local-bin.org
- Updated to version 2.1.1
* Sat Jun 05 2004 - james@usr-local-bin.org
- First build of new GIMP development tree
- package name: gimp-beta
- version: 2.1.0
